Repository 32bit  Forum
Repository 64bit  Wiki

Dubbio aggiornamento pacchetti da 14 a 14.1

Se avete problemi con l'installazione e la configurazione di Slackware64 postate qui. Non usate questo forum per argomenti che trattano la Slackware32 o generali... per quelli usate rispettivamente il forum Slackware e Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware64 usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware64, se l'argomento è Slackware32 o generale usate rispettivamente il forum Slackware o Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Dubbio aggiornamento pacchetti da 14 a 14.1

Messaggioda boh » lun nov 11, 2013 21:31

Ciao a tutti!
Vorrei aggiornare alla 14.1, ma ho un dubbio che mi frena.
Ho installato da tempo i pacchetti di KDE v. 4.10.5 di alienBob e ora vedo che sono stati inclusi ufficialmente; vorrei quindi rimpiazzarli.
L'UPGRADE.TXT suggerisce come sempre i seguenti comandi:
Codice: Seleziona tutto
upgradepkg /root/slackware/a/glibc-solibs-*.t?z

upgradepkg /root/slackware/a/pkgtools-*.tgz
upgradepkg /root/slackware/a/tar-*.tgz
upgradepkg /root/slackware/a/xz-*.tgz
upgradepkg /root/slackware/a/findutils-*.txz

upgradepkg --install-new /root/slackware/*/*.t?z


Così facendo i miei pacchetti verrebbero saltati, giusto?
Però se aggiungo un --reinstall all'ultimo upgradepkg, mi reinstalla nuovamente le glibc e i package tool e non mi sembra una grande idea.

L'idea che mi è venuta è:
Codice: Seleziona tutto
upgradepkg /root/slackware/a/glibc-solibs-*.t?z

upgradepkg /root/slackware/a/pkgtools-*.tgz
upgradepkg /root/slackware/a/tar-*.tgz
upgradepkg /root/slackware/a/xz-*.tgz
upgradepkg /root/slackware/a/findutils-*.txz

upgradepkg --install-new /root/slackware/a/*.t?z

e poi lanciare lo script di Pat saltando la directory /a
Codice: Seleziona tutto
#!/bin/sh
    for dir in ap d e f k kde l n t tcl x xap xfce y ; do
      ( cd $dir ; upgradepkg --install-new --reinstall *.t?z )
    done


Che ne dite? Dovrebbe funzionare, no? Oppure mi sto facendo troppi problemi e i pacchetti verranno sovrascritti?

P.S: perchè Pat non suggerisce l'opzione --reinstall per tutti gli altri pacchetti? Sono tutti "nuovi"?
"Be yourself. Everyone else is already taken." ~ Oscar Wilde
Avatar utente
boh
Linux 2.6
Linux 2.6
 
Messaggi: 938
Iscritto il: gio set 15, 2005 23:00
Località: Milano
Slackware: 14.1 (x64)
Kernel: 3.10.17
Desktop: KDE 4.10.5

Re: Dubbio aggiornamento pacchetti da 14 a 14.1

Messaggioda brg » lun nov 11, 2013 21:55

boh ha scritto: perchè Pat non suggerisce l'opzione --reinstall per tutti gli altri pacchetti? Sono tutti "nuovi"?


No, ce ne sono un sacco che hanno lo stesso identico nome di quelli della 14.0. Io non ho messo reinstall, mi ha tenuto quelli della 14.0 e funziona tutto perfettamente. Se vuoi mettere reinstall fallo pure, più che altro per kde, però per il resto credo che tu possa farne a meno.
Avatar utente
brg
Linux 2.4
Linux 2.4
 
Messaggi: 240
Iscritto il: sab mar 12, 2011 14:20
Località: Montecatini
Slackware: 14.1
Kernel: 3.10.17
Desktop: KDE4

Re: Dubbio aggiornamento pacchetti da 14 a 14.1

Messaggioda boh » mar nov 12, 2013 9:12

Grazie della risposta :)
"Be yourself. Everyone else is already taken." ~ Oscar Wilde
Avatar utente
boh
Linux 2.6
Linux 2.6
 
Messaggi: 938
Iscritto il: gio set 15, 2005 23:00
Località: Milano
Slackware: 14.1 (x64)
Kernel: 3.10.17
Desktop: KDE 4.10.5


Torna a Slackware64

Chi c’è in linea

Visitano il forum: Nessuno e 2 ospiti

cron